/* initng-conf-gtk, the gtk configuration program for initng
 * Copyright (C) 2006 Daniel Malmgren <dm@mensa.se>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */
 
#ifndef RL_PARSER_H
#define RL_PARSER_H

void populate_runlevel_combo();
void init_runlevel_list();
void remove_from_rl();
void add_to_rl(const gchar *name);
void save_rl();
void new_runlevel(const gchar *rl_name);
void update_rllist(GtkWidget *runlevel_combo);

struct rl_struct {
  gboolean needs_saving;  //If the rl has been altered
  GtkListStore *store;    //The store containing the rl
  struct rl_struct *next; //Pointer to next struct
  gchar *filename;        //Filename to .runlevel file
};

struct rl_struct *runlevel_struct;

#endif
